Update Webhook

Updates a webhook’s configurations. You can send just the fields that need updating. When you include an events array in this request, all of the webhook’s events will be replaced with the events in this request. The webhook’s node cannot be modified.

Path Params
int64
required

The webhook ID, returned as the webhook_id value for an 'Add a Webhook' request.

Body Params

Webhook

string
required

Format: Variable length, up to 64 AN
Description: A label to identify the webhook.
Conditional Requirement: Required for 'Add a Webhook.'

string
required

Format: Variable length, up to 256 AN
Description: The webhook endpoint to which requests will be posted. The endpoint must use HTTPS and should serve HTTP POST requests. The endpoint URL should respond with an HTTP 2xx response. Any other HTTP response message is considered a failure, and we will retry posting the same request until a successful response is received or the request expires, whichever comes first.
Conditional Requirement: Required for 'Add a Webhook.'

string

Format: Variable length, up to 5 AN
Description: The authentication type. By default, the authentication type is NONE. Use one of the following:

  • NONE - No authentication.
  • BASIC - The POST request will be secured by HTTP BASIC authentication. When auth_type is BASIC, auth_settings is required with at least one of the following fields: user_name, user_password.

auth_settings
object

Authorization settings.
Conditional Requirements: When auth_type is BASIC, this object is required.

email_address
array of strings

An array of email addresses to notify when a webhook is suspended.

email_address
events
array of strings

An array of events that will trigger the POST request. Refer to Webhook Events for a list of possible values.

events
string

Format: Variable length, up to 16 N
Description: The node at which the webhook should be created. If you use a merchant ID in this field, the webhook is created for the merchant. If this field is absent from the request, the webhook is created at the API key's node.
Conditional Requirement: This field is not applicable to the 'Update a Webhook' request. Once a webhook node is created, its value cannot be updated.

network_settings
object
Responses

Language
Credentials
Basic
base64
:
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json